package com.mortals.xhx.module.care.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.care.model.vo.CareConstraintTrackVo;
/**
* 主动关怀服务追踪实体对象
*
* @author zxfei
* @date 2023-04-09
*/

public class CareConstraintTrackEntity extends CareConstraintTrackVo {
    private static final long serialVersionUID = 1L;

    /**
    * 主动关怀约束Id
    */
    private Long careId;
    /**
    * 反馈人ID
    */
    @Excel(name = "反馈人ID")
    private Long feedbackId;
    /**
    * 反馈人姓名
    */
    @Excel(name = "反馈人姓名")
    private String feedbackName;
    /**
    * 反馈内容
    */
    @Excel(name = "反馈内容")
    private String feedback;
    /**
    * 跟踪时间
    */
    @Excel(name = "跟踪时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date feedbackTime;
    /**
    * 创建方式
    */
    @Excel(name = "创建方式")
    private String createMethod;



    public CareConstraintTrackEntity(){}
    /**
    * 获取 主动关怀约束Id
    * @return Long
    */
    public Long getCareId(){
        return careId;
    }
    /**
    * 设置 主动关怀约束Id
    * @param careId
    */
    public void setCareId(Long careId){
        this.careId = careId;
    }
    /**
    * 获取 反馈人ID
    * @return Long
    */
    public Long getFeedbackId(){
        return feedbackId;
    }
    /**
    * 设置 反馈人ID
    * @param feedbackId
    */
    public void setFeedbackId(Long feedbackId){
        this.feedbackId = feedbackId;
    }
    /**
    * 获取 反馈人姓名
    * @return String
    */
    public String getFeedbackName(){
        return feedbackName;
    }
    /**
    * 设置 反馈人姓名
    * @param feedbackName
    */
    public void setFeedbackName(String feedbackName){
        this.feedbackName = feedbackName;
    }
    /**
    * 获取 反馈内容
    * @return String
    */
    public String getFeedback(){
        return feedback;
    }
    /**
    * 设置 反馈内容
    * @param feedback
    */
    public void setFeedback(String feedback){
        this.feedback = feedback;
    }
    /**
    * 获取 跟踪时间
    * @return Date
    */
    public Date getFeedbackTime(){
        return feedbackTime;
    }
    /**
    * 设置 跟踪时间
    * @param feedbackTime
    */
    public void setFeedbackTime(Date feedbackTime){
        this.feedbackTime = feedbackTime;
    }
    /**
    * 获取 创建方式
    * @return String
    */
    public String getCreateMethod(){
        return createMethod;
    }
    /**
    * 设置 创建方式
    * @param createMethod
    */
    public void setCreateMethod(String createMethod){
        this.createMethod = createMethod;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CareConstraintTrackEntity) {
            CareConstraintTrackEntity tmp = (CareConstraintTrackEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",careId:").append(getCareId());
        sb.append(",feedbackId:").append(getFeedbackId());
        sb.append(",feedbackName:").append(getFeedbackName());
        sb.append(",feedback:").append(getFeedback());
        sb.append(",feedbackTime:").append(getFeedbackTime());
        sb.append(",createMethod:").append(getCreateMethod());
        return sb.toString();
    }

    public void initAttrValue(){

            this.careId = null;

            this.feedbackId = null;

            this.feedbackName = "";

            this.feedback = "";

            this.feedbackTime = null;

            this.createMethod = "";
    }
}